V1.0
post
/ec-designer-svc/rest/v1.0/studies/{studyId}/studyObjectsMapping
Returns study object mappings from source study to target study.
Request
Path Parameters
-
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
F054C951EB74443C93716CA714AB686E
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
fromEventIds: array
fromEventIds
-
fromFormIds: array
fromFormIds
-
fromStudyVersion: string
Source study version.Example:
1.0 -
toStudyId: string
(uuid)
Target study GUID.
-
toStudyVersion: string
Target study version.Example:
2.0
Nested Schema : fromEventIds
Type:
Show Source
array-
Array of:
string(uuid)
Source visit/event GUID.
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation.
Nested Schema : forms
Type:
Show Source
array-
Array of:
object StudyObjectsFormDto v1.0
Title:
StudyObjectsFormDto v1.0Form mapping between source and target studies.
Nested Schema : visits
Type:
Show Source
array-
Array of:
object StudyObjectsVisitDto v1.0
Title:
StudyObjectsVisitDto v1.0Visit mapping between source and target studies.
Nested Schema : StudyObjectsFormDto v1.0
Type:
objectTitle:
StudyObjectsFormDto v1.0Form mapping between source and target studies.
Show Source
-
fromFormId: string
(uuid)
Source form GUID.
-
fromFormRefName: string
Source form reference name.Example:
FORM_DEMOGRAPHY -
items: array
items
-
toFormId: string
(uuid)
Target form GUID.
-
toFormRefName: string
Target form reference name.Example:
FORM_DEMOGRAPHY_COPY -
visits: array
visits
Nested Schema : items
Type:
Show Source
array-
Array of:
object StudyObjectsItemDto v1.0
Title:
StudyObjectsItemDto v1.0Form item mapping between source and target studies.
Nested Schema : visits
Type:
Show Source
array-
Array of:
object StudyObjectsVisitDto v1.0
Title:
StudyObjectsVisitDto v1.0Visit mapping between source and target studies.
Nested Schema : StudyObjectsItemDto v1.0
Type:
objectTitle:
StudyObjectsItemDto v1.0Form item mapping between source and target studies.
Show Source
-
fromItemId: string
(uuid)
Source item GUID.
-
fromItemRefName: string
Source item reference name.Example:
ITEM_AGE -
toItemId: string
(uuid)
Target item GUID.
-
toItemRefName: string
Target item reference name.Example:
ITEM_AGE_COPY
Nested Schema : StudyObjectsVisitDto v1.0
Type:
objectTitle:
StudyObjectsVisitDto v1.0Visit mapping between source and target studies.
Show Source
-
fromVisitId: string
(uuid)
Source visit GUID.
-
fromVisitRefName: string
Source visit reference name.Example:
SCREENING -
toVisitId: string
(uuid)
Target visit GUID.
-
toVisitRefName: string
Target visit reference name.Example:
SCREENING_COPY
Examples
500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}